library IEEE;
use IEEE.std_logic_1164.all;

use WORK.dlx_types.all;
use WORK.control_types_2.all;

entity hazard_fsm is

port( phi2 : in std_logic;
      reset  : in std_logic;
      --
      adr_ls2   : in std_logic_vector(0 to 1);
      branch_in : in std_logic;
      fetch_memory_not_ready : in std_logic;
      memory_not_ready       : in std_logic;
      forward_from_memory    : in std_logic;
      --
      stall_fetch  : out std_logic;
      stall_decode : out std_logic;
      stall_exec   : out std_logic;
      force_decode : out exc_type);

end hazard_fsm;
