library IEEE;
use IEEE.std_logic_1164.all;

use WORK.dlx_types.all;
use WORK.control_types_2.all;

entity data_siding is

  port (addr_pc  : in dlx_word;
        addr_mar : in dlx_word;
        data_lmdr : out dlx_word;
        data_smdr : in dlx_word;
        data_ir   : out dlx_word;
        d_bus_input : in dlx_word;
        d_bus_output : out dlx_word;
        a_bus_output : out dlx_word;
        ready_in         : in std_logic;
        ready_data        : out std_logic;
        ready_instr       : out std_logic;
        --
        mem_ctrl_in        : in std_logic_vector(0 to 7);
        mem_ctrl_out       : out std_logic_vector(0 to 7);
        --
        fetch_mem_ctrl     : in std_logic);
end data_siding;
